/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkcalendar.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKCALENDAR_H
#define GTOOLKIT_GTKCALENDAR_H

#include <gtk/gtkcalendar.h>
#include <GToolKit/GTKWidget.h>

@interface GTKCalendar : GTKWidget
+ (GtkType) getType;
+ (id) calendar;
- (id) init;
- (gint) selectMonth:(guint) month year:(guint) year;
- (void) selectDay:(guint) day;
- (gint) markDay:(guint) day;
- (gint) unmarkDay:(guint) day;
- (void) clearMarks;
- (void) displayOptions:(GtkCalendarDisplayOptions) flags;
- (void) getDate:(guint *) year month:(guint *) month day:(guint *) day;
- (void) freeze;
- (void) thaw;
@end

#endif /* GTOOLKIT_GTKCALENDAR_H */
