/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkentry.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKENTRY_H
#define GTOOLKIT_GTKENTRY_H

#include <gtk/gtkentry.h>
#include <GToolKit/GTKEditable.h>

@interface GTKEntry : GTKEditable
+ (GtkType) getType;
+ (id) entry;
- (id) init;
+ (id) entryWithMaxLength:(guint16) max;
- (id) initWithMaxLength:(guint16) max;
- (void) setText:(NSString *) text;
- (void) appendText:(NSString *) text;
- (void) prependText:(NSString *) text;
- (void) setPosition:(gint) position;
- (NSString *) getText;
- (void) selectRegion:(gint) start end:(gint) end;
- (void) setVisibility:(gboolean) visible;
- (void) setEditable:(gboolean) editable;
- (void) setMaxLength:(guint16) max;
- (void) setDoubleValue:(double) value;
- (void) setIntValue:(int) value;
- (void) setStringValue:(NSString *) value;
- (double) doubleValue;
- (int) intValue;
- (NSString *) stringValue;
@end

#endif /* GTOOLKIT_GTKENTRY_H */
