/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkpaned.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKPANED_H
#define GTOOLKIT_GTKPANED_H

#include <gtk/gtkpaned.h>
#include <GToolKit/GTKContainer.h>

@class GTKWidget;

@interface GTKPaned : GTKContainer
+ (GtkType) getType;
- (void) add1:(GTKWidget *) child;
- (void) add2:(GTKWidget *) child;
- (void) pack1:(GTKWidget *) child resize:(gboolean) resize shrink:(gboolean) shrink;
- (void) pack2:(GTKWidget *) child resize:(gboolean) resize shrink:(gboolean) shrink;
- (void) setPosition:(gint) position;
- (void) setHandleSize:(guint16) size;
- (void) setGutterSize:(guint16) size;
- (id) child1;
- (id) child2;
@end

#endif /* GTOOLKIT_GTKPANED_H */
