/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkstatusbar.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKSTATUSBAR_H
#define GTOOLKIT_GTKSTATUSBAR_H

#include <gtk/gtkstatusbar.h>
#include <GToolKit/GTKHBox.h>

@interface GTKStatusbar : GTKHBox
+ (GtkType) getType;
+ (id) statusbar;
- (id) init;
- (guint) getContextId:(NSString *) context_description;
- (guint) push:(guint) context_id text:(NSString *) text;
- (void) pop:(guint) context_id;
- (void) remove:(guint) context_id messageId:(guint) message_id;
@end

#endif /* GTOOLKIT_GTKSTATUSBAR_H */
