/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkfilesel.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKFILESELECTION_H
#define GTOOLKIT_GTKFILESELECTION_H

#include <gtk/gtkfilesel.h>
#include <GToolKit/GTKWindow.h>

@interface GTKFileSelection : GTKWindow
+ (GtkType) getType;
+ (id) fileSelectionWithTitle:(NSString *) title;
- (id) initWithTitle:(NSString *) title;
- (void) setFilename:(NSString *) filename;
- (NSString *) getFilename;
- (void) complete:(NSString *) pattern;
- (void) showFileopButtons;
- (void) hideFileopButtons;
- (GTKWidget *) okButton;
- (GTKWidget *) cancelButton;
- (GTKWidget *) helpButton;
@end

#endif /* GTOOLKIT_GTKFILESELECTION_H */
