/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkprogressbar.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKPROGRESSBAR_H
#define GTOOLKIT_GTKPROGRESSBAR_H

#include <gtk/gtkprogressbar.h>
#include <GToolKit/GTKProgress.h>

@class GTKAdjustment;

@interface GTKProgressBar : GTKProgress
+ (GtkType) getType;
+ (id) progressBar;
- (id) init;
+ (id) progressBarWithAdjustment:(GTKAdjustment *) adjustment;
- (id) initWithAdjustment:(GTKAdjustment *) adjustment;
- (void) setBarStyle:(GtkProgressBarStyle) style;
- (void) setDiscreteBlocks:(guint) blocks;
- (void) setActivityStep:(guint) step;
- (void) setActivityBlocks:(guint) blocks;
- (void) setOrientation:(GtkProgressBarOrientation) orientation;
- (void) update:(gfloat) percentage;
@end

#endif /* GTOOLKIT_GTKPROGRESSBAR_H */
