/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtktooltips.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKTOOLTIPS_H
#define GTOOLKIT_GTKTOOLTIPS_H

#include <gtk/gtktooltips.h>
#include <GToolKit/GTKData.h>

@class GTKWidget;

@interface GTKTooltips : GTKData
+ (GtkType) getType;
+ (id) tooltips;
- (id) init;
- (void) enable;
- (void) disable;
- (void) setDelay:(guint) delay;
- (void) setTip:(GTKWidget *) widget tipText:(NSString *) tip_text tipPrivate:(NSString *) tip_private;
- (void) setColors:(GdkColor *) background foreground:(GdkColor *) foreground;
+ (GtkTooltipsData*) dataGet:(GTKWidget *) widget;
- (void) forceWindow;
@end

#endif /* GTOOLKIT_GTKTOOLTIPS_H */
